Get conference participant resource
Returns a single conference participant resource by call SID or participant label.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const participant = await client.texml.accounts.conferences.participants.retrieve(
'call_sid_or_participant_label',
{ account_sid: 'account_sid', conference_sid: 'conference_sid' },
);
console.log(participant.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
participant = client.texml.accounts.conferences.participants.retrieve(
call_sid_or_participant_label="call_sid_or_participant_label",
account_sid="account_sid",
conference_sid="conference_sid",
)
print(participant.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
participant, err := client.Texml.Accounts.Conferences.Participants.Get(
context.TODO(),
"call_sid_or_participant_label",
telnyx.TexmlAccountConferenceParticipantGetParams{
AccountSid: "account_sid",
ConferenceSid: "conference_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", participant.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveParams;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ParticipantRetrieveParams params = ParticipantRetrieveParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.callSidOrParticipantLabel("call_sid_or_participant_label")
.build();
ParticipantRetrieveResponse participant = client.texml().accounts().conferences().participants().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
participant = telnyx.texml.accounts.conferences.participants.retrieve(
"call_sid_or_participant_label",
account_sid: "account_sid",
conference_sid: "conference_sid"
)
puts(participant)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$participant = $client->texml->accounts->conferences->participants->retrieve(
'call_sid_or_participant_label',
accountSid: 'account_sid',
conferenceSid: 'conference_sid',
);
var_dump($participant);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences:participants retrieve \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid \
--call-sid-or-participant-label call_sid_or_participant_labelcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label} \
--header 'Authorization: Bearer <token>'{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"call_sid": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
"call_sid_legacy": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
"coaching": false,
"conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"end_conference_on_exit": false,
"hold": false,
"muted": false,
"status": "completed",
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the account the resource belongs to.
The ConferenceSid that uniquely identifies a conference.
CallSid or Label of the Participant to update.
Response
Participant resource.
The id of the account the resource belongs to.
"61bf923e-5e4d-4595-a110-56190ea18a1b"
The version of the API that was used to make the request.
"v2/texml"
The identifier of this participant's call.
"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"
The identifier of this participant's call.
"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"
Whether the participant is coaching another call.
false
The identifier of the coached participant's call.
"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"
The identifier of the coached participant's call.
"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"
The timestamp of when the resource was created.
"Thu, 15 Jun 2023 09:56:45 +0000"
The timestamp of when the resource was last updated.
"Thu, 15 Jun 2023 09:56:45 +0000"
Whether the conference ends when the participant leaves.
false
Whether the participant is on hold.
false
Whether the participant is muted.
false
The status of the participant's call in the conference.
connecting, connected, completed "connected"
The relative URI for this participant.
"/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"
The unique identifier for the conference.
"cd5a70f4-759b-4d5e-9c06-88c00f16f3c1"
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const participant = await client.texml.accounts.conferences.participants.retrieve(
'call_sid_or_participant_label',
{ account_sid: 'account_sid', conference_sid: 'conference_sid' },
);
console.log(participant.account_sid);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
participant = client.texml.accounts.conferences.participants.retrieve(
call_sid_or_participant_label="call_sid_or_participant_label",
account_sid="account_sid",
conference_sid="conference_sid",
)
print(participant.account_sid)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
participant, err := client.Texml.Accounts.Conferences.Participants.Get(
context.TODO(),
"call_sid_or_participant_label",
telnyx.TexmlAccountConferenceParticipantGetParams{
AccountSid: "account_sid",
ConferenceSid: "conference_sid",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", participant.AccountSid)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveParams;
import com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ParticipantRetrieveParams params = ParticipantRetrieveParams.builder()
.accountSid("account_sid")
.conferenceSid("conference_sid")
.callSidOrParticipantLabel("call_sid_or_participant_label")
.build();
ParticipantRetrieveResponse participant = client.texml().accounts().conferences().participants().retrieve(params);
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
participant = telnyx.texml.accounts.conferences.participants.retrieve(
"call_sid_or_participant_label",
account_sid: "account_sid",
conference_sid: "conference_sid"
)
puts(participant)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$participant = $client->texml->accounts->conferences->participants->retrieve(
'call_sid_or_participant_label',
accountSid: 'account_sid',
conferenceSid: 'conference_sid',
);
var_dump($participant);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx texml:accounts:conferences:participants retrieve \
--api-key 'My API Key' \
--account-sid account_sid \
--conference-sid conference_sid \
--call-sid-or-participant-label call_sid_or_participant_labelcurl --request GET \
--url https://api.telnyx.com/v2/texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants/{call_sid_or_participant_label} \
--header 'Authorization: Bearer <token>'{
"account_sid": "4e71926f-8f13-450e-b91c-23c2ef786aa6",
"api_version": "v2/texml",
"call_sid": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
"call_sid_legacy": "v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ",
"coaching": false,
"conference_sid": "cd5a70f4-759b-4d5e-9c06-88c00f16f3c1",
"date_created": "Fri, 27 Oct 2023 07:41:58 +0000",
"date_updated": "Fri, 27 Oct 2023 07:41:58 +0000",
"end_conference_on_exit": false,
"hold": false,
"muted": false,
"status": "completed",
"uri": "/v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json"
}{
"errors": [
{
"detail": "Resource not found"
}
]
}